import Writer from './writer';
export declare class WriterTerraform extends Writer {
    requiredProviders: Array<any>;
    writeRequiredProvidersBlock: boolean;
    backend: any;
    tfStateKey: string;
    constructor(requiredProviders: Array<any>, backend: any, tfStateKey: string, writeRequiredProvidersBlock?: boolean);
    _render(): Promise<void>;
}
